<template>
	<section class="container">
		<div class="contact">
			<div class="item">
				<i class="fas fa-building"></i>
				<span>Stredná priemyselná škola elektrotechnická</span>
			</div>
			<div class="item">
				<i class="fas fa-map-marker-alt"></i>
				<span>Komenského 44, 040 01 Košice </span>
			</div>
			<div class="item">
				<i class="fas fa-globe"></i>
				<a href="https://www.spseke.sk">www.spseke.sk</a>
			</div>
			<div class="item">
				<i class="fas fa-envelope"></i>
				<a href="mailto:spse@spseke.sk">spse@spseke.sk</a>
			</div>
			<div class="item">
				<i class="fas fa-phone-alt"></i>
				<span>055/796 81 51, 055/633 23 11</span>
			</div>
			<div class="item">
				<i class="fab fa-facebook-square"></i>
				<a href="https://www.facebook.com/spseke" target="_blank">facebook.com/spseke</a>
			</div>
		</div>
	</section>
</template>

<script>
import { reactive, toRefs, inject } from 'vue'

export default {
	setup() {
		const state = reactive({
			vue: inject('vue'),
		})

		return {
			...toRefs(state),
		}
	},
}
</script>

<style lang="scss" scoped>
@import '@/assets/scss/vars.scss';

.container {
	padding: 1.5rem;
	background: rgb(49, 49, 49);
	color: $color04;
	font-size: 0.75rem;
	display: grid;
	justify-content: center;

	.contact {
		display: grid;
		grid-gap: 0.5rem;
		.item {
			display: grid;
			grid-auto-flow: column;
			justify-content: start;
			grid-gap: 1rem;

			.fas {
				color: $color04;
			}
			a {
				color: $color04;
				text-decoration: none;
			}
		}
	}
}
</style>
